# Copyright (c) 2000-2012, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


%bcond_without repolib

%define section free

%define reltag .Final_redhat_1
%define namedreltag .Final-redhat-1
%define namedversion %{version}%{?namedreltag}

%define rename jboss-transaction-spi

Name:           jboss-integration
Version:        7.0.0
Release:        0.6%{?reltag}%{?dist}
Epoch:          0
Summary:        JBoss Integration
License:        LGPLv2+
Group:          Development/Java
URL:            http://www.jboss.org/
%if 0
svn export http://anonsvn.jboss.org/repos/jbossas/projects/integration/tags/jboss-transaction-spi-7.0.0.Final/ jboss-transaction-spi-7.0.0.Final
tar -jcf jboss-transaction-spi-7.0.0.Final.tar.bz2 jboss-transaction-spi-7.0.0.Final/
%endif
Source0:        %{rename}-7.0.0.Final.tar.bz2 
Patch0:         %{rename}-vman-pom.patch
Requires(post): jpackage-utils 
Requires(postun): jpackage-utils 
Requires:       jpackage-utils
Requires:       jboss-logging
Requires:       jboss-transaction-api_1.1_spec
Requires:       jboss-connector-api_1.6_spec
BuildRequires:  jpackage-utils 
BuildRequires:  maven2
BuildRequires:  maven-plugin-plugin
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-install-plugin
BuildRequires:  maven-jar-plugin
BuildRequires:  maven-javadoc-plugin
BuildRequires:  maven-resources-plugin
BuildRequires:  maven-surefire-maven-plugin
BuildRequires:  maven-deploy-plugin
BuildRequires:  maven-source-plugin
BuildRequires:  jboss-parent
BuildRequires:  jboss-component-management
BuildRequires:  jboss-logging
BuildRequires:  jboss-transaction-api_1.1_spec
BuildRequires:  jboss-connector-api_1.6_spec
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root


%description
JBoss integration.

%package -n jboss-transaction-spi
Summary:        JBoss Transaction 7.0.0 SPI
Group:          Development/Java

%description -n jboss-transaction-spi
The Java Transaction 7.0.0 SPI classes

%package javadoc
Summary:        Javadoc for %{rename}
Group:          Development/Documentation
Requires:       jpackage-utils

%description javadoc
%{summary}.

%if %with repolib
%package repolib
Summary:        Artifacts to be uploaded to a repository library
Group:          Development/Libraries/Java

%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%prep
%setup -q -n %{rename}-7.0.0.Final
%patch0 -p1

%build
export MAVEN_REPO_LOCAL=`pwd`/.m2/repository
export ALT_DEPLOYMENT_REPOSITORY=jboss-releases::default::file://`pwd`/maven2-brew
%{_bindir}/mvn-jpp -e -Dmaven.repo.local=${MAVEN_REPO_LOCAL} -Dmaven.test.skip -DaltDeploymentRepository=${ALT_DEPLOYMENT_REPOSITORY} deploy javadoc:aggregate

%install
rm -rf %{buildroot}

# jars
install -d -m 755 %{buildroot}%{_javadir}

install -m 644 target/jboss-transaction-spi-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-transaction-spi-%{namedversion}.jar
install -m 644 target/jboss-transaction-spi-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-transaction-spi-%{namedversion}-sources.jar

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{namedversion}||g"`; done)

# pom
install -d -m 755 %{buildroot}%{_datadir}/maven2/poms
install -m 644 pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP-%{rename}.pom

# depmap
%add_to_maven_depmap org.jboss %{rename} %{namedversion} JPP %{rename}
[ -f %{buildroot}%{_mavendepmapfragdir}/%{rename} ] || mv %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/%{rename}

# javadoc
install -d -m 755 %{buildroot}%{_javadocdir}/%{rename}-%{namedversion}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{rename}-%{namedversion}
ln -s %{rename}-%{version} %{buildroot}%{_javadocdir}/%{rename}

%if %with repolib
%{__mkdir_p} %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
%{__cp} -pr maven2-brew/* %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
%endif

%clean
rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files -n jboss-transaction-spi
%defattr(0644,root,root,0755)
%{_datadir}/maven2/poms/JPP-jboss-transaction-spi.pom
%{_javadir}*/jboss-transaction-spi*.jar
%{_mavendepmapfragdir}/%{rename}

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{rename}-%{namedversion}
%{_javadocdir}/%{rename}

%if %with repolib
%files repolib
%defattr(0644,root,root,0755)
%dir %{_javadir}*
%exclude %dir %{_javadocdir}
%{_javadir}*/repository.jboss.com
%endif

%changelog
* Tue Mar 27 2012 David Walluck <dwalluck@redhat.com> 0:7.0.0-0.6
- remove bad depmap file
- fix mvn command
- javadoc requires jpackage-utils
- fix repolib file ownership

* Mon Mar 26 2012 Fernando Nasser <fnasser@redhat.com> - 0:7.0.0-0.5.Final_redhat_1.1
- Rebuild using cache signing

* Mon Feb 20 2012 Lin Gao <lgao@redhat.com> 0:7.0.0-0.5.Final_redhat_1
- Upgrade to 7.0.0.Final
- Fix dependnecy from jboss-connector-api_1.5_spec to jboss-connector-api_1.6_spec
- Fix depmap
- Change jar files location

* Mon Feb 06 2012 Hui Wang <huwang@redhat.com> 0:7.0.0-0.4.CR1_redhat_1
- Fix pom patch

* Tue Feb 02 2012 Hui Wang <huwang@redhat.com> 0:7.0.0-0.3.CR1_redhat_1
- Update pom patch
- Adjust BR/R
- Cleanup

* Sun Sep 18 2011 Lin Gao <lgao@redhat.com> - 0:7.0.0-0.2.CR1_redhat_1
- wolf build phrase

* Fri Jul 08 2011 Hui Wang <huwang@redhat.com> - 0:7.0.0-0.1.CR1
- Upgrade to 7.0.0.CR1

* Fri Jun 03 2011 Hui Wang <huwang@redhat.com> - 0:6.0.0-0.3.CR1
- Remove BR/R jboss-aop2

* Tue May 31 2011 Hui Wang <huwang@redhat.com> - 0:6.0.0-0.2.CR1
- Fix name of subpackages
- Add BR/R gnu-trove

* Tue May 31 2011 Hui Wang <huwang@redhat.com> - 0:6.0.0-0.1.CR1
- Upgrade to 6.0.0.CR1

* Mon Nov 29 2010 Martha Benitez <mbenitez@redhat.com> - 0:5.1.0-2.SP1.5
- Build with maven 2.2.1
- Change BR maven-release to maven-release-plugin
- Add BR maven-deploy-plugin, maven-site-plugin
- Change to javadoc:aggreagate

* Tue Aug 10 2010 Yiqiao Wang <yiwang@redhat.com> - 0:5.1.0-2.SP1.4.1.2
- Change R from jacorb to jacorb-jboss

* Mon May 17 2010 Martha Benitez <mbenitez@redhat.com> - 0:5.1.0-2.SP1.4.1.1
- rebuilt

* Tue Apr 20 2010 Yiqiao Wang <yiwang@redhat.com>  0:5.1.0-2.SP1.4.1
- Rebuild 
- Fix depmap entry for dtdparser 

* Thu Aug 20 2009 Permaine Cheung <pcheung@redhat.com> 0:5.1.0-2.SP1.4
- Add sources.jar as artifact in component-info.xml

* Thu Aug 20 2009 Permaine Cheung <pcheung@redhat.com> 0:5.1.0-2.SP1.3
- Update component-info.xml

* Thu Aug 20 2009 Permaine Cheung <pcheung@redhat.com> 0:5.1.0-2.SP1.2
- Add sources.jar
- Add poms to repolib
- Add jboss-jca-spi as an artifact in c-i.xml

* Tue Jul 21 2009 Martha Benitez <mbenitez@redhat.com> 0:5.1.0-2.SP1.1
- Change Release to include reltag

* Tue Jul 21 2009 Martha Benitez <mbenitez@redhat.com> 0:5.1.0-2.1
- Upgrade to SP1

* Thu Jun 18 2009 David Walluck <dwalluck@redhat.com> 0:5.1.0-2
- add repolib
- use jboss APIs to work around issue with jta alternative

* Thu Jun 11 2009 Ralph Apel <r.apel@r-apel.de> - 0:5.1.0-1.jpp5
- first release

